gi-harfbuzz-0.0.9: HarfBuzz bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.HarfBuzz.Structs.AatLayoutFeatureSelectorInfoT

Contents

- Exported types
- Methods
- Properties
  - disable
  - enable
  - nameId

Description

Structure representing a setting for an `AatLayoutFeatureTypeT`.

Synopsis

- newtype AatLayoutFeatureSelectorInfoT = AatLayoutFeatureSelectorInfoT (ManagedPtr AatLayoutFeatureSelectorInfoT)
- newZeroAatLayoutFeatureSelectorInfoT :: MonadIO m => m AatLayoutFeatureSelectorInfoT
- getAatLayoutFeatureSelectorInfoTDisable :: MonadIO m => AatLayoutFeatureSelectorInfoT -> m AatLayoutFeatureSelectorT
- setAatLayoutFeatureSelectorInfoTDisable :: MonadIO m => AatLayoutFeatureSelectorInfoT -> AatLayoutFeatureSelectorT -> m ()
- getAatLayoutFeatureSelectorInfoTEnable :: MonadIO m => AatLayoutFeatureSelectorInfoT -> m AatLayoutFeatureSelectorT
- setAatLayoutFeatureSelectorInfoTEnable :: MonadIO m => AatLayoutFeatureSelectorInfoT -> AatLayoutFeatureSelectorT -> m ()
- getAatLayoutFeatureSelectorInfoTNameId :: MonadIO m => AatLayoutFeatureSelectorInfoT -> m Word32
- setAatLayoutFeatureSelectorInfoTNameId :: MonadIO m => AatLayoutFeatureSelectorInfoT -> Word32 -> m ()

# Exported types

newtype AatLayoutFeatureSelectorInfoT Source #

Memory-managed wrapper type.

Constructors

AatLayoutFeatureSelectorInfoT (ManagedPtr AatLayoutFeatureSelectorInfoT) |

#### Instances

Instances details

Eq AatLayoutFeatureSelectorInfoT Source # |
Instance details Defined in GI.HarfBuzz.Structs.AatLayoutFeatureSelectorInfoT Methods (==) :: AatLayoutFeatureSelectorInfoT -> AatLayoutFeatureSelectorInfoT -> Bool Source # (/=) :: AatLayoutFeatureSelectorInfoT -> AatLayoutFeatureSelectorInfoT -> Bool Source #
BoxedPtr AatLayoutFeatureSelectorInfoT Source # |
Instance details Defined in GI.HarfBuzz.Structs.AatLayoutFeatureSelectorInfoT Methods boxedPtrCopy :: AatLayoutFeatureSelectorInfoT -> IO AatLayoutFeatureSelectorInfoT Source # boxedPtrFree :: AatLayoutFeatureSelectorInfoT -> IO () Source #
CallocPtr AatLayoutFeatureSelectorInfoT Source # |
Instance details Defined in GI.HarfBuzz.Structs.AatLayoutFeatureSelectorInfoT Methods boxedPtrCalloc :: IO (Ptr AatLayoutFeatureSelectorInfoT) Source #
ManagedPtrNewtype AatLayoutFeatureSelectorInfoT Source # |
Instance details Defined in GI.HarfBuzz.Structs.AatLayoutFeatureSelectorInfoT Methods toManagedPtr :: AatLayoutFeatureSelectorInfoT -> ManagedPtr AatLayoutFeatureSelectorInfoT Source #
tag ~ 'AttrSet => Constructible AatLayoutFeatureSelectorInfoT tag Source # |
Instance details Defined in GI.HarfBuzz.Structs.AatLayoutFeatureSelectorInfoT Methods new :: MonadIO m => (ManagedPtr AatLayoutFeatureSelectorInfoT -> AatLayoutFeatureSelectorInfoT) -> [AttrOp AatLayoutFeatureSelectorInfoT tag] -> m AatLayoutFeatureSelectorInfoT Source #

newZeroAatLayoutFeatureSelectorInfoT :: MonadIO m => m AatLayoutFeatureSelectorInfoT Source #

Construct a `AatLayoutFeatureSelectorInfoT` struct initialized to zero.

# Methods

# Properties

## disable

The value to turn the selector off

getAatLayoutFeatureSelectorInfoTDisable :: MonadIO m => AatLayoutFeatureSelectorInfoT -> m AatLayoutFeatureSelectorT Source #

Get the value of the “`disable`” field. When overloading is enabled, this is equivalent to

    get aatLayoutFeatureSelectorInfoT #disable

setAatLayoutFeatureSelectorInfoTDisable :: MonadIO m => AatLayoutFeatureSelectorInfoT -> AatLayoutFeatureSelectorT -> m () Source #

Set the value of the “`disable`” field. When overloading is enabled, this is equivalent to

    set aatLayoutFeatureSelectorInfoT [ #disable := value ]

## enable

The value to turn the selector on

getAatLayoutFeatureSelectorInfoTEnable :: MonadIO m => AatLayoutFeatureSelectorInfoT -> m AatLayoutFeatureSelectorT Source #

Get the value of the “`enable`” field. When overloading is enabled, this is equivalent to

    get aatLayoutFeatureSelectorInfoT #enable

setAatLayoutFeatureSelectorInfoTEnable :: MonadIO m => AatLayoutFeatureSelectorInfoT -> AatLayoutFeatureSelectorT -> m () Source #

Set the value of the “`enable`” field. When overloading is enabled, this is equivalent to

    set aatLayoutFeatureSelectorInfoT [ #enable := value ]

## nameId

The selector's name identifier

getAatLayoutFeatureSelectorInfoTNameId :: MonadIO m => AatLayoutFeatureSelectorInfoT -> m Word32 Source #

Get the value of the “`name_id`” field. When overloading is enabled, this is equivalent to

    get aatLayoutFeatureSelectorInfoT #nameId

setAatLayoutFeatureSelectorInfoTNameId :: MonadIO m => AatLayoutFeatureSelectorInfoT -> Word32 -> m () Source #

Set the value of the “`name_id`” field. When overloading is enabled, this is equivalent to

    set aatLayoutFeatureSelectorInfoT [ #nameId := value ]